summaryrefslogtreecommitdiff
path: root/network
diff options
context:
space:
mode:
authorMenno E. Duursma <druiloor@zonnet.nl>2010-05-11 22:54:48 +0200
committerDavid Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:48 +0200
commit95d4a473fb97be982e12f6b6ffee91f369e9393f (patch)
tree4c09adb545c5e12e097987f79713bd1bf46eaae5 /network
parent03fcadb30b7851a3d74c669e1910ee88bfec7985 (diff)
downloadslackbuilds-95d4a473fb97be982e12f6b6ffee91f369e9393f.tar.gz
network/htscanner: Added to 12.1 repository
Diffstat (limited to 'network')
-rw-r--r--network/htscanner/README22
-rw-r--r--network/htscanner/htscanner.SlackBuild70
-rw-r--r--network/htscanner/htscanner.info8
-rw-r--r--network/htscanner/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/network/htscanner/README b/network/htscanner/README
new file mode 100644
index 0000000000..2ed4891d83
--- /dev/null
+++ b/network/htscanner/README
@@ -0,0 +1,22 @@
+Htscanner allows one to use htaccess-like files to configure PHP
+on a per-directory basis, just like Apache's htaccess. It is
+especially useful with fastcgi.
+
+Please read the "Description" part of /usr/doc/htscanner-<version>/README
+after installation. An example [htscanner] block for php.ini is included
+in /usr/doc/htscanner-<version>/htscanner.ini this can be appended to
+/etc/httpd/php.ini (after editing to ones preferences).
+
+Currently, for example, something like:
+
+cat << EOF > /var/www/htdocs/.htaccess
+<IfModule mod_php.c>
+ php_value register_globals On
+</IfModule>
+EOF
+
+cat /usr/doc/htscanner-0.8.1/htscanner.ini >> /etc/httpd/php.ini
+
+sh /etc/rc.d/rc.httpd stop
+sh /etc/rc.d/rc.httpd start
+
diff --git a/network/htscanner/htscanner.SlackBuild b/network/htscanner/htscanner.SlackBuild
new file mode 100644
index 0000000000..e75492ffda
--- /dev/null
+++ b/network/htscanner/htscanner.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for htscanner
+# Written by Menno E. Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
+
+PRGNAM=htscanner
+VERSION=${VERSION:-0.8.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Prepare PHP extension for compiling
+phpize htscanner.c
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --enable-htscanner
+
+# Compile
+make
+
+# Copy it over by hand (as per the README)
+mkdir -p $PKG/usr/lib/php/extensions
+install --mode=755 --strip modules/htscanner.so $PKG/usr/lib/php/extensions
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-Z][A-Z]* docs/htscanner.ini \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Make the package; be sure to leave it in $OUTPUT
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/htscanner/htscanner.info b/network/htscanner/htscanner.info
new file mode 100644
index 0000000000..ef3a43c8b1
--- /dev/null
+++ b/network/htscanner/htscanner.info
@@ -0,0 +1,8 @@
+PRGNAM="htscanner"
+VERSION="0.8.1"
+HOMEPAGE="http://pecl.php.net/package/htscanner"
+DOWNLOAD="http://pecl.php.net/get/htscanner-0.8.1.tgz"
+MD5SUM="8d3a4a63639c380b9268717a9a28dabe"
+MAINTAINER="Menno E. Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/network/htscanner/slack-desc b/network/htscanner/slack-desc
new file mode 100644
index 0000000000..3a5ccec6a9
--- /dev/null
+++ b/network/htscanner/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+htscanner: Htscanner (an PHP extention)
+htscanner:
+htscanner: Htscanner allows one to use htaccess-like files to configure
+htscanner: PHP on a per-directory basis, just like Apache's htaccess. It
+htscanner: is especially useful with fastcgi.
+htscanner:
+htscanner: Htscanner is currently maintained by Pierre-Alain Joye and was
+htscanner: originally developed by Bart Vanbrabant.
+htscanner:
+htscanner:
+htscanner: